import * as protoLoader from '@grpc/proto-loader';
import { logger } from 'skyeye-svc-common-utils';
import { GrpcClientInstance } from '../interfaces/grpcClientInstance';
export class ClientGRPC {
    public initClient(protoPath: string | Array<string>): GrpcClientInstance {
        if (!protoPath || protoPath.length === 0) {
            let error = new Error('FAILED_PRECONDITION: Grpc Client protoPath not found.');
            logger.error(`ErrorHandler: Client Grpc error: ${error.message}`);
            throw error;
        }

        let loadPackageDefinition: protoLoader.PackageDefinition = protoLoader.loadSync(
            protoPath,
            {
                keepCase: true,
                longs: String,
                enums: String,
                defaults: true,
                oneofs: true,
                arrays: true,
                objects: true
            }
        );

        return { loadPackageDefinition: loadPackageDefinition };
    }
}