export class GrpcNaicsMapping {
    naics6Code: string;
    naics6Label: string;
    icb1Code: string;
    icb1Label: string;
    icb3Code: string;
    icb3Label: string;
}
export class GrpcAddress {
    addressLine1: String;
    addressLine2: String;
    addressLine3: String;
    addressLine4: String;
    city: String;
    stateOrProvince: String;
    country: String;
    postalCode: String;
}

export class GrpcMarketData {
    date: string;
    marketCap: {
        currency: string;
        value: string;
    };
    marketPrice: {
        currency: string;
        value: string;
    };
    volume: number;
}

export class GrpcOfficer {
    type: string;
    id: string;
    name: string;
    constructor() {
        this.type = null;
        this.id = null;
        this.name = null;
    }
}
export class GrpcExchange {
    description: String;
    currency: String;
}
export class GrpcName {
    nameType: string;
    name: string;
}

export class GrpcSectorDetail {
    parent: string;
    code: string;
    label: string;
    level: number;
}

export class GrpcMentionedEntity {
    entityId: string;
    preferredName: string;
    source: string;         // DataSource: Location=> DSP,  Organisation=>FactSet/BvD/...
    entityType: string;     //  Location/Organization/People
    scoutMasterId: string;
    scope: string;
    primaryEntityId: string;
    primaryScope: string;
}
export class GrpcAnnotation {
    startNode: number;
    endNode: number;
    type: string;            // Location/Organization/People/RelationActorLegalOperationalActivity
    subtype: string;         // nullable field
    status: string;
    generated: boolean;
    annotationStr: string;
    annotationId: string;    // under ott/articles/guid => annotation/featurs/inst=> last string split by /
}

export class GrpcAnnotationSummary {
    locations: number;
    companies: number;
    people: number;
    keyword: number;
}

export class GrpcCompanyPeriodMentionContent {
    title: string;
    publisher: string;
    entityId: string;
    status: string;
    url: string
    isWebContent: boolean;
    providerTitle: string;
    i18: GrpcI18n[];

    constructor() {
        this.entityId = null;
        this.publisher = null;
        this.title = null;
        this.status = null;
        this.url = null;
        this.isWebContent = null;
        this.providerTitle = null;
        this.i18 = null;
    }
}


export class GrpcScoutAiDetail {
    scoutAiId: string;
    label: string;
    isRelevant: number;
    constructor() {
        this.scoutAiId = null;
        this.label = null;
        this.isRelevant = null;
    }
}

export class GrpcI18n {
    code: string;
    title: string;
    content: string;
    constructor() {
        this.code = null;
        this.title = null;
        this.content = null;
    }
}

export class GrpcEquityModel {
    tickerExchange: string;
    tickerRegion: string;
    tickerName: string;
    exchangeCode: string;
    exchangeName: string;
    currency: string;
    isPrimary: boolean;

    constructor() {
        this.tickerExchange = null;
        this.tickerRegion = null;
        this.tickerName = null;
        this.exchangeCode = null;
        this.exchangeName = null;
        this.currency = null;
        this.isPrimary = false;
    }
}