import { GrpcName, GrpcAddress, GrpcNaicsMapping, GrpcOfficer, GrpcSectorDetail, GrpcExchange, GrpcEquityModel } from './grpcCommonModels'
import GrpcMarketModel from './grpcMarketModel';
import { GrpcFinancialModel } from './grpcFinancialModel';
export class GrpcCompanyModel {
  entityId: string;
  source: string;
  sourceKey: string;
  scoutMasterId: string;
  factsetKey: string;
  ultimateParent: string;
  scope: string;

  name: string;
  names: GrpcName[];
  description: string
  listingStatus: string;
  equities: GrpcEquityModel[];
  status: string;
  country: string;
  countryName: string;
  yearFounded: number;
  numOfEmployees: number;

  addresses: GrpcAddress[];

  url: string;
  telephone: string;
  email: string;

  sector: string[];
  naics: string[];
  naicsMappings: GrpcNaicsMapping[];

  sectorDetails: GrpcSectorDetail[];
  naicsDetails: GrpcSectorDetail[];

  //finance Data
  //finance tables to be store in other DB
  marketData: GrpcMarketModel;
  marketDataHistory: GrpcMarketModel[]; //history should store in another cosmos table, azure search index
  financialDataHistory: GrpcFinancialModel[];

  //optional fields
  operatingRevenue: number;
  marketCapitalization: number;
  marketPrice: number;
  totalAssets: number;
  shareholdersFunds: number;
  plBeforeTax: number;
  //optional fields


  officers: GrpcOfficer[];             //people relationship
  exchanges: GrpcExchange[];
  constructor() {
    this.scoutMasterId = null;
    this.entityId = null;
    this.source = null;
    this.sourceKey = null;
    this.scope = null;
    this.factsetKey = null;
    this.ultimateParent = null;

    this.name = null;
    this.names = null;
    this.description = null;
    this.listingStatus = null;
    this.equities = null;
    this.status = null;
    this.country = null;
    this.countryName = null;
    this.yearFounded = null;
    this.numOfEmployees = null;

    this.addresses = null;
    this.email = null;
    this.url = null;
    this.telephone = null;

    this.sectorDetails = null;
    this.naicsDetails = null;
    this.naicsMappings = null;
    this.sector = null;
    this.naics = null;

    this.marketData = null;
    this.marketDataHistory = null;
    this.financialDataHistory = null;

    this.operatingRevenue = null;
    this.marketCapitalization = null;
    this.marketPrice = null;
    this.totalAssets = null;
    this.shareholdersFunds = null;
    this.plBeforeTax = null;

    this.officers = null;
    this.exchanges = null;
  }
}