import { GrpcMentionedEntity, GrpcAnnotationSummary, GrpcAnnotation, GrpcScoutAiDetail, GrpcSectorDetail, GrpcI18n } from './grpcCommonModels';
export class GrpcContentModel {
  sourceKey: string;
  entityId: string;
  image: string;
  author: string;
  scoutMasterId: string;
  source: string;
  providerTitle: string;
  title: string;
  url: string;
  contentBody: string;
  publisher: string;
  publishedDate: Date;
  firstPublishedDate: Date;
  status: string;
  sector: string[];
  scoutAi: string[];
  mentionedLocation: string[];
  mentionedCompany: string[];

  scoutAiDetails: GrpcScoutAiDetail[];
  mentionedLocationDetails: GrpcMentionedEntity[];
  mentionedCompanyDetails: GrpcMentionedEntity[];
  sectorDetails: GrpcSectorDetail[];

  i18n: GrpcI18n[];
  customSnippet: string;

  annotationSummary: GrpcAnnotationSummary;       //use for high light
  annotations: GrpcAnnotation[];

  isLocked: boolean;
  isWebContent: boolean;
  constructor() {
    this.sourceKey = null;
    this.entityId = null;
    this.title = null;
    this.url = null;
    this.image = null;
    this.author = null;
    this.contentBody = null;
    this.source = null;
    this.providerTitle = null;
    this.publisher = null;
    this.publishedDate = null;
    this.firstPublishedDate = null;
    this.status = null;
    this.scoutMasterId = null;
    this.sector = new Array<string>();
    this.scoutAi = new Array<string>();
    this.mentionedLocation = new Array<string>();
    this.mentionedCompany = new Array<string>();
    this.scoutAiDetails = new Array<GrpcScoutAiDetail>();
    this.mentionedLocationDetails = new Array<GrpcMentionedEntity>();
    this.mentionedCompanyDetails = new Array<GrpcMentionedEntity>();
    this.sectorDetails = new Array<GrpcSectorDetail>();
    this.i18n = new Array<GrpcI18n>();
    this.customSnippet = null;
    this.annotationSummary = null;
    this.annotations = new Array<GrpcAnnotation>();
    this.isLocked = false;
    this.isWebContent = false;
  }
}