
import { GrpcMentionedEntity, GrpcScoutAiDetail, GrpcI18n} from './grpcCommonModels';
export class GrpcContentPreviewModel {
    entityId: string;
    image: string;
    author: string;
    scoutMasterId: string;
    source: string;
    providerTitle: string;
    title: string;
    url: string;
    contentBody: string;
    publisher: string;
    publishedDate: Date;
    firstPublishedDate: Date;
    status: string;
    sector: string[];
    scoutAi: string[];
    mentionedLocation: string[];
    mentionedCompany: string[];

    scoutAiDetails: GrpcScoutAiDetail[];
    mentionedLocationDetails: GrpcMentionedEntity[];
    mentionedCompanyDetails: GrpcMentionedEntity[];

    i18n: GrpcI18n[];
    customSnippet: string;

    isWebContent: boolean;
    lastModifiedDate: string;
    constructor() {
        this.entityId = null;
        this.title = null;
        this.url = null;
        this.image = null;
        this.author = null;
        this.contentBody = null;
        this.source = null;
        this.providerTitle = null;
        this.publisher = null;
        this.publishedDate = null;
        this.firstPublishedDate = null;
        this.status = null;
        this.scoutMasterId = null;
        this.sector = new Array<string>();
        this.scoutAi = new Array<string>();
        this.mentionedLocation = new Array<string>();
        this.mentionedCompany = new Array<string>();
        
        this.scoutAiDetails =new Array<GrpcScoutAiDetail>();
        this.mentionedLocationDetails =new Array<GrpcMentionedEntity>();
        this.mentionedCompanyDetails = new Array<GrpcMentionedEntity>();

        this.i18n = new Array<GrpcI18n>();
        this.customSnippet = null;

        this.isWebContent = false;
        this.lastModifiedDate = null;
    }
} 