
export class GrpcFinancialModel {
    id: string;
    source: string;
    organisationId: string;
    consolidationCode: string;
    filingType: string;
    currency: string;
    closingDate: Date;
    numOfMonths: string;
    dateFormat: string;
    isPrimary: boolean;
    usdExchangeRate: number;
    numOfEmployees: number;
    
    MarketCapitalisation: number;
    MarketCapitalisationUsd: number;
    accountsPayable: number;
    accountsPayableUsd: number;
    accumulatedDepreciation: number;
    accumulatedDepreciationUsd: number;
    accumulatedGoodwillAmortization: number;
    accumulatedGoodwillAmortizationUsd: number;
    bondsBelowInvestmentGrade: number;
    bondsBelowInvestmentGradeUsd: number;
    bookValuePerShare: number;
    bookValuePerShareTangible: number;
    bookValuePerShareTangibleUsd: number;
    bookValuePerShareUsd: number;
    cashConversionCycleInDays: number;
    cashConversionCycleInDaysUsd: number;
    cashDividendsPaid: number;
    cashDividendsPaidUsd: number;
    cashNShortTermInvestments: number;
    cashNShortTermInvestmentsUsd: number;
    cashOnly: number;
    cashOnlyUsd: number;
    cashTaxesPaid: number;
    cashTaxesPaidUsd: number;
    changeInCapitalStock: number;
    changeInCapitalStockUsd: number;
    changeInDeposits: number;
    changeInDepositsUsd: number;
    changesInWorkingCapital: number;
    changesInWorkingCapitalUsd: number;
    cogs: number;
    cogsUsd: number;
    commonEquity: number;
    commonEquityUsd: number;
    consolidatedNetIncome: number;
    consolidatedNetIncomeUsd: number;
    currPortionOfLongTermDebt: number;
    currPortionOfLongTermDebtUsd: number;
    customerLiabilityOnAcceptances: number;
    customerLiabilityOnAcceptancesUsd: number;
    deferredTaxAssets: number;
    deferredTaxAssetsUsd: number;
    deferredTaxesNInvestmentTaxCredit: number;
    deferredTaxesNInvestmentTaxCreditUsd: number;
    deferredTaxLiabilities: number;
    deferredTaxLiabilitiesUsd: number;
    depreciationDepletionNAmortizationCashFlow: number;
    depreciationDepletionNAmortizationCashFlowUsd: number;
    earningsPersistence: number;
    earningsPersistenceUsd: number;
    ebitda: number;
    ebitdaUsd: number;
    ebitOrOperatingIncome: number;
    ebitOrOperatingIncomeUsd: number;
    epsBasicBeforeExtraordinaries: number;
    epsBasicBeforeExtraordinariesUsd: number;
    epsDilutedBeforeUnusualExpense: number;
    epsDilutedBeforeUnusualExpenseUsd: number;
    epsFullyDiluted: number;
    epsFullyDilutedUsd: number;
    equityInEarningsOfAffiliates: number;
    equityInEarningsOfAffiliatesUsd: number;
    exchangeRateEffect: number;
    exchangeRateEffectUsd: number;
    extraordinaryItem: number;
    extraordinaryItemUsd: number;
    federalHomeLoneAdvancesIncrOrDecr: number;
    federalHomeLoneAdvancesIncrOrDecrUsd: number;
    finActivOtherFunds: number;
    finActivOtherFundsUsd: number;
    freeCashFlowToEquity: number;
    freeCashFlowToEquityUsd: number;
    fundsFromOperations: number;
    fundsFromOperationsUsd: number;
    grossGoodwill: number;
    grossGoodwillUsd: number;
    grossIncome: number;
    grossIncomeUsd: number;
    grossPropertyPlantNEquipment: number;
    grossPropertyPlantNEquipmentUsd: number;
    headlineEpsDiluted: number;
    headlineEpsDilutedUsd: number;
    headlineEpsUk: number;
    headlineEpsUkUsd: number;
    hedgingGainLoss: number;
    hedgingGainLossUsd: number;
    incomeTaxes: number;
    incomeTaxesUsd: number;
    incomeTaxPayable: number;
    incomeTaxPayableUsd: number;
    insurancePolicyLiabilities: number;
    insurancePolicyLiabilitiesUsd: number;
    intangibleAssets: number;
    intangibleAssetsUsd: number;
    interestIncome: number;
    interestIncomeUsd: number;
    interestPaidCashFlow: number;
    interestPaidCashFlowUsd: number;
    interestReceivables: number;
    interestReceivablesUsd: number;
    inventories: number;
    inventoriesUsd: number;
    investmentInUnconsolidatedSubsidiaries: number;
    investmentInUnconsolidatedSubsidiariesUsd: number;
    loanLossProvision: number;
    loanLossProvisionUsd: number;
    longTermDebt: number;
    longTermDebtUsd: number;
    longTermNoteReceivable: number;
    longTermNoteReceivableUsd: number;
    lossesClaimsNReserves: number;
    lossesClaimsNReservesUsd: number;
    minorityInterestExpense: number;
    minorityInterestExpenseUsd: number;
    miscellaneousFunds: number;
    miscellaneousFundsUsd: number;
    netAssetsFromAcquisition: number;
    netAssetsFromAcquisitionUsd: number;
    netCashChange: number;
    netCashChangeUsd: number;
    netDebt: number;
    netDebtUsd: number;
    netFinancingCashFlow: number;
    netFinancingCashFlowUsd: number;
    netForeignCurrencyAdjustment: number;
    netForeignCurrencyAdjustmentUsd: number;
    netGoodwill: number;
    netGoodwillUsd: number;
    netIncome: number;
    netIncomeOrStartingLine: number;
    netIncomeOrStartingLineUsd: number;
    netIncomeUsd: number;
    netInterestExpense: number;
    netInterestExpenseUsd: number;
    netInterestIncome: number;
    netInterestIncomeAfterLoanLossProvision: number;
    netInterestIncomeAfterLoanLossProvisionUsd: number;
    netInterestIncomeUsd: number;
    netInvestingCashFlow: number;
    netInvestingCashFlowUsd: number;
    netIssuanceOrReductionOfDebt: number;
    netIssuanceOrReductionOfDebtUsd: number;
    netLoanLosses: number;
    netLoanLossesUsd: number;
    netLoans: number;
    netLoansUsd: number;
    netOperatingCashFlow: number;
    netOperatingCashFlowUsd: number;
    netPropertyPlantNEquipment: number;
    netPropertyPlantNEquipmentUsd: number;
    nonCashOtherFunds: number;
    nonCashOtherFundsUsd: number;
    nonEquityReserves: number;
    nonEquityReservesUsd: number;
    nonInterestExpense: number;
    nonInterestExpenseUsd: number;
    nonInterestIncome: number;
    nonInterestIncomeUsd: number;
    nonOperatingIncomeOrExpense: number;
    nonOperatingIncomeOrExpenseUsd: number;
    operatingIncome: number;
    operatingIncomeAfterInterestExpense: number;
    operatingIncomeAfterInterestExpenseUsd: number;
    operatingIncomeBeforeInterestExpense: number;
    operatingIncomeBeforeInterestExpenseUsd: number;
    operatingIncomeExcludingSecuritiesGains: number;
    operatingIncomeExcludingSecuritiesGainsUsd: number;
    operatingIncomeUsd: number;
    ordinaryIncomeJapan: number;
    ordinaryIncomeJapanUsd: number;
    otherAfterTaxIncomeOrExpense: number;
    otherAfterTaxIncomeOrExpenseUsd: number;
    otherAssetsCurr: number;
    otherAssetsCurrUsd: number;
    otherAssetsIntangible: number;
    otherAssetsIntangibleUsd: number;
    otherAssetsTangible: number;
    otherAssetsTangibleUsd: number;
    otherCurrLiabilities: number;
    otherCurrLiabilitiesUsd: number;
    otherFunds: number;
    otherFundsUsd: number;
    otherLiabilities: number;
    otherLiabilitiesUsd: number;
    otherOperatingExpense: number;
    otherOperatingExpenseUsd: number;
    pensionLiability: number;
    pensionLiabilityUsd: number;
    preferredStockCarryingValue: number;
    preferredStockCarryingValueUsd: number;
    premiumBalanceReceivables: number;
    premiumBalanceReceivablesUsd: number;
    pretaxIncome: number;
    pretaxIncomeUsd: number;
    proceedsFromLoans: number;
    proceedsFromLoansUsd: number;
    profitLoss: number;
    profitLossUsd: number;
    profitMargin: number;
    profitMarginUsd: number;
    provisionForRisksNCharges: number;
    provisionForRisksNChargesUsd: number;
    purchaseOrSaleOfInvestments: number;
    purchaseOrSaleOfInvestmentsUsd: number;
    realEstateAssets: number;
    realEstateAssetsUsd: number;
    rentalOrOperatingLeaseExpense: number;
    rentalOrOperatingLeaseExpenseUsd: number;
    reservesIncreaseOrDecrease: number;
    reservesIncreaseOrDecreaseUsd: number;
    revenue: number;
    revenueUsd: number;
    saleOfFixedAssetsNBusinesses: number;
    saleOfFixedAssetsNBusinessesUsd: number;
    securitiesGain: number;
    securitiesGainUsd: number;
    sellingGeneralNAdministrativeExpense: number;
    sellingGeneralNAdministrativeExpenseNOther: number;
    sellingGeneralNAdministrativeExpenseNOtherUsd: number;
    sellingGeneralNAdministrativeExpenseUsd: number;
    shareholdersFunds: number;
    shareholdersFundsUsd: number;
    shortTermDebtInclCurrLtd: number;
    shortTermDebtInclCurrLtdUsd: number;
    stockOptionBasedCompensationAdjustedToNetIncome: number;
    stockOptionBasedCompensationAdjustedToNetIncomeUsd: number;
    stockOptionCompensationExpense: number;
    stockOptionCompensationExpenseUsd: number;
    taxRate: number;
    taxRateUsd: number;
    tier1Capital: number;
    tier1CapitalUsd: number;
    tier2Capital: number;
    tier2CapitalUsd: number;
    totalAccountsReceivable: number;
    totalAccountsReceivableUsd: number;
    totalAccumulatedMinorityInterest: number;
    totalAccumulatedMinorityInterestUsd: number;
    totalAssets: number;
    totalAssetsCurr: number;
    totalAssetsCurrUsd: number;
    totalAssetsNonPerf: number;
    totalAssetsNonPerfUsd: number;
    totalAssetsUsd: number;
    totalCapital: number;
    totalCapitalExpenditures: number;
    totalCapitalExpendituresUsd: number;
    totalCapitalUsd: number;
    totalCashNDueFromBanks: number;
    totalCashNDueFromBanksUsd: number;
    totalCommEquityTier1: number;
    totalCommEquityTier1Usd: number;
    totalCurrLiabilities: number;
    totalCurrLiabilitiesUsd: number;
    totalDebt: number;
    totalDebtUsd: number;
    totalDeposits: number;
    totalDepositsUsd: number;
    totalEquity: number;
    totalEquityUsd: number;
    totalInterestExpense: number;
    totalInterestExpenseUsd: number;
    totalInvestments: number;
    totalInvestmentsNAdvances: number;
    totalInvestmentsNAdvancesUsd: number;
    totalInvestmentsUsd: number;
    totalLiabilities: number;
    totalLiabilitiesNShareholdersFunds: number;
    totalLiabilitiesNShareholdersFundsUsd: number;
    totalLiabilitiesUsd: number;
    totalShortTermInvestments: number;
    totalShortTermInvestmentsUsd: number;
    unearnedCompensation: number;
    unearnedCompensationUsd: number;
    unusualExpense: number;
    unusualExpenseUsd: number;
    workingCapital: number;
    workingCapitalUsd: number;
}