(() => {
    if (process.env.NODE_ENV === 'test') {
        require('dotenv').config({ path: 'test.env'});
    }
})();

export const appConst = {
    env: process.env.NODE_ENV,
    domain: process.env.DOMAIN,
    apiKey: process.env.SWAGGER_ADMIN_ROLE_API_KEY,
    adminBearer: process.env.ADMIN_BEARER
}

export const headers = {
    apiKey: {'x-api-key': appConst.apiKey },
    jsonContentType: { 'Content-Type': 'application/json' }
}

export const methods = {
    get: 'GET',
    post: 'POST'
}