import { appConst, headers, methods } from "./appConst";


export class ApiTestConfiguration {
    clientName: string;
    domain: string;
    serviceKeyword: string;
    apiConfigurations: {
        funcName: string,
        endpoint: string,
        method: string,
        headers: Record<string, string>
    }[];
}

export const apiTestConfigurations: ApiTestConfiguration[] = [
    {
        clientName: 'RbacClient',
        domain: appConst.domain,
        serviceKeyword: 'rbacsvc',
        apiConfigurations: [{
            funcName: 'roleCreate',
            endpoint: 'role/create',
            method: methods.post,
            headers: {
                ...headers.apiKey,
                ...headers.jsonContentType
            }
        }]
    }
];